Bug 1381533 - Multi-Ephemeral instance Live Block Migration fails silently
Summary: Multi-Ephemeral instance Live Block Migration fails silently
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 7.0 (Kilo)
Hardware: All
OS: Linux
medium
medium
Target Milestone: async
: 7.0 (Kilo)
Assignee: Sahid Ferdjaoui
QA Contact: Prasanth Anbalagan
URL:
Whiteboard:
Depends On: 1379359 1381534 1387260 1396251
Blocks: 1380289 1381530 1381965 1498831
TreeView+ depends on / blocked
 
Reported: 2016-10-04 11:49 UTC by VIKRANT
Modified: 2022-07-09 09:44 UTC (History)
13 users (show)

Fixed In Version: openstack-nova-2015.1.4-20.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1379359
Environment:
Last Closed: 2017-02-15 22:57:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1628449 0 None None None 2016-10-04 11:49:14 UTC
Red Hat Issue Tracker OSP-16922 0 None None None 2022-07-09 09:44:23 UTC
Red Hat Knowledge Base (Solution) 2658331 0 None None None 2016-10-04 11:49:14 UTC
Red Hat Product Errata RHSA-2017:0282 0 normal SHIPPED_LIVE Moderate: openstack-cinder, openstack-glance, and openstack-nova security update 2017-02-16 03:52:44 UTC

Comment 3 Prasanth Anbalagan 2016-12-09 20:41:54 UTC
# yum list installed | grep openstack-nova
openstack-nova-api.noarch            2015.1.4-21.el7ost      @rhelosp-7.0-puddle
openstack-nova-cert.noarch           2015.1.4-21.el7ost      @rhelosp-7.0-puddle
openstack-nova-common.noarch         2015.1.4-21.el7ost      @rhelosp-7.0-puddle
openstack-nova-compute.noarch        2015.1.4-21.el7ost      @rhelosp-7.0-puddle
openstack-nova-conductor.noarch      2015.1.4-21.el7ost      @rhelosp-7.0-puddle
openstack-nova-console.noarch        2015.1.4-21.el7ost      @rhelosp-7.0-puddle
openstack-nova-novncproxy.noarch     2015.1.4-21.el7ost      @rhelosp-7.0-puddle
openstack-nova-scheduler.noarch      2015.1.4-21.el7ost      @rhelosp-7.0-puddle


# nova flavor-create 2ephemeral-disks 6 512 1 1 --ephemeral 2
+----+------------------+-----------+------+-----------+------+-------+-------------+-----------+
| ID | Name             | Memory_MB | Disk | Ephemeral | Swap | VCPUs | RXTX_Factor | Is_Public |
+----+------------------+-----------+------+-----------+------+-------+-------------+-----------+
| 6  | 2ephemeral-disks | 512       | 1    | 2         |      | 1     | 1.0         | True      |
+----+------------------+-----------+------+-----------+------+-------+-------------+-----------+
# neutron net-list
+--------------------------------------+---------+------------------------------------------------------+
| id                                   | name    | subnets                                              |
+--------------------------------------+---------+------------------------------------------------------+
| d46e53ca-eba1-4127-8aa7-ecb2811d672c | private | 71b66423-b131-4073-ae42-17d99eacc114 10.0.0.0/24     |
| 4fe7d69b-a2e9-4d12-9d48-30c543f832a2 | public  | 4037811e-70c1-489c-9048-1853810ddd4a 172.24.4.224/28 |
+--------------------------------------+---------+------------------------------------------------------+
# nova boot --flavor 2ephemeral-disks --image cirros --ephemeral size=1 --ephemeral size=1 --nic net-id=d46e53ca-eba1-4127-8aa7-ecb2811d672c internal1
+--------------------------------------+-----------------------------------------------+
| Property                             | Value                                         |
+--------------------------------------+-----------------------------------------------+
| OS-DCF:diskConfig                    | MANUAL                                        |
| OS-EXT-AZ:availability_zone          |                                               |
| OS-EXT-SRV-ATTR:host                 | -                                             |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | -                                             |
| OS-EXT-SRV-ATTR:instance_name        | instance-00000004                             |
| OS-EXT-STS:power_state               | 0                                             |
| OS-EXT-STS:task_state                | scheduling                                    |
| OS-EXT-STS:vm_state                  | building                                      |
| OS-SRV-USG:launched_at               | -                                             |
| OS-SRV-USG:terminated_at             | -                                             |
| accessIPv4                           |                                               |
| accessIPv6                           |                                               |
| adminPass                            | QRvHEFtL9wv4                                  |
| config_drive                         |                                               |
| created                              | 2016-12-09T20:35:47Z                          |
| flavor                               | 2ephemeral-disks (6)                          |
| hostId                               |                                               |
| id                                   | 74f77f96-633b-4a44-a758-91997c1db685          |
| image                                | cirros (282aad08-8c0c-42f1-8c8c-e8b9590dcef2) |
| key_name                             | -                                             |
| metadata                             | {}                                            |
| name                                 | internal1                                     |
| os-extended-volumes:volumes_attached | []                                            |
| progress                             | 0                                             |
| security_groups                      | default                                       |
| status                               | BUILD                                         |
| tenant_id                            | 8a6e7e3c86254cff86f9e9913e449535              |
| updated                              | 2016-12-09T20:35:47Z                          |
| user_id                              | 57d21a5ec5ce4d03ae90042ab66a0ba7              |
+--------------------------------------+-----------------------------------------------+
# 
# nova list --field name,status,host | grep -i internal1
| 74f77f96-633b-4a44-a758-91997c1db685 | internal1 | ACTIVE | serverY |
# virsh domblklist 3
Target     Source
------------------------------------------------
vda        /var/lib/nova/instances/74f77f96-633b-4a44-a758-91997c1db685/disk
vdb        /var/lib/nova/instances/74f77f96-633b-4a44-a758-91997c1db685/disk.eph0
vdc        /var/lib/nova/instances/74f77f96-633b-4a44-a758-91997c1db685/disk.eph1
# nova live-migration internal1 serverX --block-migrate
# nova list
+--------------------------------------+-----------+-----------+------------+-------------+------------------+
| ID                                   | Name      | Status    | Task State | Power State | Networks         |
+--------------------------------------+-----------+-----------+------------+-------------+------------------+
| 74f77f96-633b-4a44-a758-91997c1db685 | internal1 | MIGRATING | migrating  | Running     | private=10.0.0.6 |
| 30ff1267-6233-4682-817d-6209f8721156 | vm2       | ERROR     | -          | NOSTATE     | private=10.0.0.5 |
+--------------------------------------+-----------+-----------+------------+-------------+------------------+
# nova list
+--------------------------------------+-----------+--------+------------+-------------+------------------+
| ID                                   | Name      | Status | Task State | Power State | Networks         |
+--------------------------------------+-----------+--------+------------+-------------+------------------+
| 74f77f96-633b-4a44-a758-91997c1db685 | internal1 | ACTIVE | -          | Running     | private=10.0.0.6 |
| 30ff1267-6233-4682-817d-6209f8721156 | vm2       | ERROR  | -          | NOSTATE     | private=10.0.0.5 |
+--------------------------------------+-----------+--------+------------+-------------+------------------+
# nova show internal1 | grep host
| OS-EXT-SRV-ATTR:host                 | serverX                             |
| OS-EXT-SRV-ATTR:hypervisor_hostname  | serverX                             |
| hostId                               | 0faeaeb5e3fdab346ee93735e25dc0efb16fea7544cc6222a177153c |

Comment 5 errata-xmlrpc 2017-02-15 22:57:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0282.html


Note You need to log in before you can comment on or make changes to this bug.